#
#
#

""" Find residues within x angstroms of a list of residues """
__author__ = "Magdalena A. Jonikas"
__version__ = "1.0"
__date__ = " 3/5/09 "

import sys
import molClasses
import geom

if __name__=='__main__':
    frame = open(sys.argv[1])
    resListIn = open(sys.argv[2]).readlines()
    x = float(sys.argv[3])
    dataOut = open('%s-%.2f.txt' % (sys.argv[2][:-4], x), 'w')
    domainOut = open('%s-%.2f-domain.txt' % (sys.argv[2][:-4], x), 'w')

    domainListNR = []
    domainListAll = []

    resList = []
    for line in resListIn:
        r = int(line)
        resList.append(r)

    structure = molClasses.Coarse(frame)

    for resi in resList:
        dataOut.write('%i ' % resi)
        coordsi = structure.getResCoords(resi)
        domainListAll.append(resi)
        for resj in structure.res2index.keys():
            if resj!=resi:
                coordsj = structure.getResCoords(resj)
                dist = geom.calcDist(coordsi, coordsj)
                if dist < x:
                    domainListAll.append(resj)
                    dataOut.write('%i ' % resj)
        dataOut.write('\n')
    dataOut.close()
                
    for item in domainListAll:
        if item not in domainListNR:
            domainOut.write('%i\n' % item)
            domainListNR.append(item)
    domainOut.close()
