#
#
#

""" Make unfolded starting structures """
__author__ = "Magdalena A. Jonikas"
__version__ = "2.0"
__date__ = " 7/21/09 "

import sys
import time
import unfoldingTools as u
import simtk.nast.simplePdb as pdb

if __name__=='__main__':
    t0=time.time()
    xtalIn = sys.argv[1]
    ssIn = sys.argv[2]
    id = int(sys.argv[3])
    rootname=xtalIn[0:4]

    b = u.BuildMol(xtalIn, ssIn)
    b.setupBuild()
    startString = b.nextPdbString
    step=0
    b.errorCount=0
    while startString:
        nextString = b.runAddStep(startString, traceFile='trace-%i-%i.pdb' % (id, step))
        #check the validity of this string
        try: checkPdb=pdb.SimplePdb(pdbString=nextString)
        except ValueError:
            nextString=None
        if nextString==None:
            print "got error, quitting"
        if len(nextString) == len(startString):
            break
        b.trace[b.step]=nextString
        startString = nextString
        #pdbOut = open('frame-%i-%i.pdb' % (id, step), 'w')
        #pdbOut.writelines(nextString)
        #pdbOut.close()
        step+=1
        #if b.step>5: break

    #lastPdb=pdb.SimplePdb(pdbString=nextString)
    #lastHelixData = b.keepReleventHelices(lastPdb)
    #lastPdbString = lastPdb.getPdb()
    #lastPdbString = b.runMD(lastPdb, lastHelixData)
    #lastPdb=pdb.SimplePdb(pdbString=lastPdbString)
    #lastPdbString = b.runMD(lastPdb, lastHelixData)
    #lastPdb=pdb.SimplePdb(pdbString=lastPdbString)

    tEnd = time.time()
    rLine = 'REMARK TIME %.2f\n' % (tEnd-t0)
    pdbOut = open('%s-%i.pdb' % (rootname, id), 'w')
    pdbOut.writelines(rLine+nextString)
    pdbOut.close()
    #psfOut = open('last-frame.psf', 'w')
    #psfOut.writelines(lastPdb.getPsf())
    #psfOut.close()
